hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bikas Saha <bi...@hortonworks.com>
Subject RE: Hive Tez support matrix
Date Tue, 07 Jul 2015 22:12:33 GMT
I don’t think hive has documentation for that. The source of truth is probably the release
pom.xml ☺

Bikas

From: Jim Green [mailto:openkbinfo@gmail.com]
Sent: Tuesday, July 07, 2015 2:58 PM
To: user@hive.apache.org
Cc: user@tez.apache.org
Subject: Re: Hive Tez support matrix

Do you know where is the hive documentation about it? Or do you mean it will be added?

I saw many issues are in Hive code, and fixed in Hive 1.2 version.
BTW, which combination of hive/tez is the most stable one?
My assumption is Hive 1.2+Tez 0.7. Am I right?

On Tue, Jul 7, 2015 at 1:17 PM, Bikas Saha <bikas@hortonworks.com<mailto:bikas@hortonworks.com>>
wrote:
That would be in the hive documentation because it’s the dependent project and determines
its compatibility with downstream projects like Tez.

From: Jim Green [mailto:openkbinfo@gmail.com<mailto:openkbinfo@gmail.com>]
Sent: Tuesday, July 07, 2015 10:38 AM
To: user@tez.apache.org<mailto:user@tez.apache.org>
Cc: user@hive.apache.org<mailto:user@hive.apache.org>
Subject: Re: Hive Tez support matrix

Thanks Hitesh.

Should we put a support matrix on Documentation?Or maybe I missed it if it is already there?


On Tue, Jul 7, 2015 at 10:34 AM, Hitesh Shah <hitesh@apache.org<mailto:hitesh@apache.org>>
wrote:
From a Tez perspective, there was a major compatibility change between Tez 0.4 and Tez 0.5.
However, Tez-0.7.x and Tez-0.6.x are compatible with Tez-0.5.x.

I believe Hive 0.13 is compatible only with Tez 0.4.
For Hive 0.14 onwards ( including the Hive-1.x. releases ), they should work with anything
in the range of Tez versions: 0.5.2 <= x <= 0.7.x .

thanks
— Hitesh

On Jul 7, 2015, at 10:12 AM, Jim Green <openkbinfo@gmail.com<mailto:openkbinfo@gmail.com>>
wrote:

> Hi Team,
>
> Is there any Hive <-> Tez support matrix?
> For example, Hive 1.2 should be on Tez which version?
> Tez 0.5.3 only supports which versions of Hive?
> etc…
>
> My understanding is that it does not matter which version of Hive and which version of
Tez.
>
> --
> Thanks,
> www.openkb.info<http://www.openkb.info>
> (Open KnowledgeBase for Hadoop/Database/OS/Network/Tool)



--
Thanks,
www.openkb.info<http://www.openkb.info>
(Open KnowledgeBase for Hadoop/Database/OS/Network/Tool)



--
Thanks,
www.openkb.info<http://www.openkb.info>
(Open KnowledgeBase for Hadoop/Database/OS/Network/Tool)
Mime
View raw message